{
  "type" : "record",
  "name" : "VariantSource",
  "namespace" : "org.opencb.biodata.models.variant.avro.legacy",
  "fields" : [ {
    "name" : "fileId",
    "type" : "string"
  }, {
    "name" : "studyId",
    "type" : "string"
  }, {
    "name" : "fileName",
    "type" : [ "null", "string" ],
    "default" : null
  }, {
    "name" : "studyName",
    "type" : [ "null", "string" ],
    "default" : null
  }, {
    "name" : "samples",
    "type" : {
      "type" : "array",
      "items" : "string"
    },
    "default" : [ ]
  }, {
    "name" : "aggregation",
    "type" : "string"
  }, {
    "name" : "stats",
    "type" : [ "null", {
      "type" : "record",
      "name" : "VariantGlobalStats",
      "fields" : [ {
        "name" : "numRecords",
        "type" : "int"
      }, {
        "name" : "samplesCount",
        "type" : "int"
      }, {
        "name" : "passCount",
        "type" : "int"
      }, {
        "name" : "transitionsCount",
        "type" : "int"
      }, {
        "name" : "transversionsCount",
        "type" : "int"
      }, {
        "name" : "meanQuality",
        "type" : "double"
      }, {
        "name" : "variantTypeCounts",
        "type" : {
          "type" : "map",
          "values" : "int"
        }
      }, {
        "name" : "chromosomeCounts",
        "type" : {
          "type" : "map",
          "values" : "int"
        }
      }, {
        "name" : "consequenceTypesCount",
        "type" : {
          "type" : "map",
          "values" : "int"
        }
      } ]
    } ]
  }, {
    "name" : "metadata",
    "type" : {
      "type" : "map",
      "values" : [ "string", {
        "type" : "record",
        "name" : "VcfHeader",
        "fields" : [ {
          "name" : "fileFormat",
          "type" : "string"
        }, {
          "name" : "meta",
          "type" : {
            "type" : "map",
            "values" : {
              "type" : "array",
              "items" : [ "string", {
                "type" : "map",
                "values" : "string"
              } ]
            }
          }
        } ]
      } ]
    }
  }, {
    "name" : "header",
    "type" : [ "null", "VcfHeader" ]
  }, {
    "name" : "pedigree",
    "type" : "null"
  } ]
}
